<?php

namespace Mehrab\Slider\Providers;

use Illuminate\Pagination\Paginator;
use Illuminate\Support\Facades\Gate;
use Mehrab\Slider\Models\Slider;
use Mehrab\Slider\Policies\SliderPolicy;


class SliderServiceProvider extends \Illuminate\Support\ServiceProvider
{
    public function register()
    {
        $this->loadRoutesFrom(__DIR__."/../Routes/slider_routes.php");
        $this->loadViewsFrom(__DIR__.'/../Resources/Views/','Slider');
        $this->loadJsonTranslationsFrom(__DIR__.'/../Resources/Lang/');
        $this->loadMigrationsFrom(__DIR__.'/../Database/Migrations/');
        Gate::policy(Slider::class,SliderPolicy::class);
    }

    public function boot()
    {


    }

}
